//	by EvilJess aka Jeffrey Bakker 2004

//	New or modified code (C)2004 Jeffrey Bakker <evil@damnclan.com>
//	Existing code for Unreal  Tournament 2003 Copyright  2002 Epic Games, Inc.
//	Existing code for Unreal  Tournament 2004 Copyright  2004 Epic Games, Inc.


//	BinStaGib - InstaGib meets BinSlayer
//	Copyright (C) 2004  Jeffrey Bakker

//	This library is free software; you can redistribute it and/or
//	modify it under the terms of the GNU Lesser General Public
//	License as published by the Free Software Foundation; either
//	version 2.1 of the License, or (at your option) any later version.

//	This library is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//	Lesser General Public License for more details.

//	You should have received a copy of the GNU Lesser General Public
//	License along with this library; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

class Lust extends AdrenalinePickup;

auto state Pickup
{
	function bool ValidTouch( actor Other )
	{	//maximum allowed pickup
		if(!Pawn(Other).Controller.bAdrenalineEnabled)
		{
			return false;
		}
		if(Pawn(Other).Controller.Adrenaline >= Pawn(Other).Controller.AdrenalineMax)
		{
			return false;
		}
		return Super.ValidTouch(Other);
	}

	function Touch( actor Other )
	{
		local Pawn P;
	
		if ( ValidTouch(Other) ) 
		{			
			P = Pawn(Other);	
			P.Controller.AwardAdrenaline(AdrenalineAmount);
			AnnouncePickup(P);
			SetRespawn();			
		}
	}
}


defaultproperties
{
	AdrenalineAmount=3.000000
	MaxDesireability=0.300000
	bPredictRespawns=True
	RespawnTime=25.000000
	PickupMessage="You got more lust for blood."
	PickupSound=Sound'PickupSounds.UDamagePickup'
	PickupForce="AdrenelinPickup"
	Physics=PHYS_Rotating
	DrawType=DT_StaticMesh
	StaticMesh=StaticMesh'E_Pickups.General.Udamage'
	Skins(0)=Shader'WeaponSkins.ShockLaser.LaserShader'
	DrawScale=0.360000
	AmbientGlow=254
	ScaleGlow=0.600000
	Style=STY_AlphaZ
	CollisionRadius=32.000000
	CollisionHeight=23.000000
	Mass=10.000000
	RotationRate=(Yaw=24000)
}
